On some systems running Logger Pro for Macintosh version 3.3 or older, the updater will not be able to detect the older version of the program, and will show the following message:

Can’t upgrade system: This updater only works if you have previously installed a purchased version of Logger Pro.

Unfortunately, the only solution is to do a full installation of the new version. The updater will not work. Our web site now allows you to create an account and download the full installer Logger Pro any time, as well as e-mail the links to students as needed. Free to people who already own Logger Pro at:
https://www.vernier.com/account/?action=register